Subject: VISA for Japan

From: James Seng <[email-masked]>
Date: Tue, 21 May 2002 18:58:09 +0800 (SGT)

http://www.e-side.co.jp/ietf54/visas.html

"Should a visa be needed, participants should submit the Visa Information Form 
(PDF format) to the 54th IETF Japan Secretariat well in advance."

So I print this PDF out, fill out, then fax the secretariat my paper form?

Can we have (a) a more friendly format then PDF (b) one which does allows us 
to use email rather than fax?

-James Seng